%define major	2
%define libname	%mklibname %{name}-gtk3_ %{major}
%define devname	%mklibname %{name}-gtk3 -d

Name:		girara
Version:	0.2.6
Release:	%mkrel 1
Summary:	Simple user interface library
Group:		Development/Other
License:	zlib
URL:		http://pwmt.org/projects/%{name}/
Source0:	http://pwmt.org/projects/%{name}/download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)

%description
Girara is a library that implements a user interface that focuses on simplicity
and minimalism.

%package -n %{libname}
Summary:	Simple user interface library
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Girara is a library that implements a user interface that focuses on simplicity
and minimalism.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description i18n
Internationalization and locale data for %{name}

%prep
%setup -q

# don't rebuid at install time
sed -i 's/^install:\s*all/install:/' Makefile

%build
%setup_compile_flags
%make \
	LIBDIR=%{_libdir} \
	DFLAGS="" \
	VERBOSE=1

%install
%make_install \
	LIBDIR=%{_libdir} \
	VERBOSE=1

#we don't want these
find %{buildroot} -name "*.a" -delete

#fix rights
chmod +x %{buildroot}%{_libdir}/libgirara-gtk?.so.%{major}.*

# fcami - I wish upstream used a consistent naming scheme
%find_lang lib%{name}-gtk3-%{major}

%files i18n -f lib%{name}-gtk3-%{major}.lang

%files -n %{libname}
%doc AUTHORS LICENSE README
%{_libdir}/libgirara-gtk3.so.%{major}
%{_libdir}/libgirara-gtk3.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/girara-gtk3.pc
%{_libdir}/libgirara-gtk3.so


%changelog
* Sat May 14 2016 wally <wally> 0.2.6-1.mga6
+ Revision: 1015423
- new version 0.2.6

* Fri Dec 25 2015 wally <wally> 0.2.5-1.mga6
+ Revision: 914575
- new version 0.2.5

* Mon Jun 22 2015 wally <wally> 0.2.4-1.mga6
+ Revision: 839735
- new version 0.2.4
- new libmajor 2

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-3.mga5
+ Revision: 744533
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-2.mga5
+ Revision: 679587
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 wally <wally> 0.2.2-1.mga5
+ Revision: 639711
- new version 0.2.2

* Tue Feb 18 2014 wally <wally> 0.2.0-1.mga5
+ Revision: 594449
- new version 0.2.0

* Tue Feb 04 2014 wally <wally> 0.1.9-1.mga5
+ Revision: 581974
- new version 0.1.9

* Tue Feb 04 2014 wally <wally> 0.1.8-1.mga5
+ Revision: 581075
- new version 0.1.8
- switch to gtk3

* Sat Oct 19 2013 umeabot <umeabot> 0.1.7-2.mga4
+ Revision: 532083
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 wally <wally> 0.1.7-1.mga4
+ Revision: 466757
- new version 0.1.7

* Mon Jun 24 2013 wally <wally> 0.1.6-1.mga4
+ Revision: 446310
- mageiafy .spec
- imported package girara

